org.apache.fontbox.ttf

## Class GlyphTable

- java.lang.Object
- - org.apache.fontbox.ttf.TTFTable
  - - org.apache.fontbox.ttf.GlyphTable

    public class GlyphTable
    extends TTFTable

A table in a true type font.

Author:
  Ben Litchfield

### Field Summary

Fields
`static String` `TAG` Tag to identify this table.

### Fields inherited from class org.apache.fontbox.ttf.TTFTable

`font, initialized`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`GlyphData` `getGlyph(int gid)` Returns the data for the glyph with the given GID.
`GlyphData[]` `getGlyphs()` Deprecated. use `getGlyph(int)` instead. This will be removed in 3.0. If you need this method, please create an issue in JIRA.
`void` `setGlyphs(GlyphData[] glyphsValue)`

### Methods inherited from class org.apache.fontbox.ttf.TTFTable

`getCheckSum, getInitialized, getLength, getOffset, getTag`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TAG

    public static final String TAG

Tag to identify this table.

See Also:
  Constant Field Values

### Method Detail

#### getGlyphs

    @Deprecated
    public GlyphData[] getGlyphs()
                                      throws IOException

Deprecated. use `getGlyph(int)` instead. This will be removed in 3.0. If you need this method, please create an issue in JIRA.
Returns all glyphs. This method can be very slow.

Throws:
  `IOException` - If there is an error reading the data.

#### setGlyphs

    public void setGlyphs(GlyphData[] glyphsValue)

Parameters:
  `glyphsValue` - The glyphs to set.

#### getGlyph

    public GlyphData getGlyph(int gid)
                       throws IOException

Returns the data for the glyph with the given GID.

Parameters:
  `gid` - GID
Throws:
  `IOException` - if the font cannot be read